#ifndef Emotion_H_DEFINED
#define Emotion_H_DEFINED

#include "../const.h"
#include <stdlib.h>
#include "Init_para.h"


struct Au_score {

       int au_name;
       double score;


       Au_score(int n, double s) {
                    au_name = n;
                    score = s;
       }



};


struct Emotion {
       
       int name;
       Au_score* points;

       Emotion() {
                 name = 0;
                 points = NULL;
       }


       Emotion(int n) {

                 name = n;
                 points = (Au_score*) calloc(AU_NUM, sizeof(Au_score));
       }



};

bool InitEmotions(Emotion*& em);
bool RecognizeEmotion(int* rec_aus, Emotion& rec_emo, const Init_para& parameters);
void CopyEmotion(Emotion& em_from, Emotion& em_to);
void FreeEmotion(Emotion& em);

#endif // Emotion_H_DEFINED
